Skip to main content
PUT
Update document detail

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

document_id
string
required

document id

id
string
required

customer id

Body

multipart/form-data
modified_reason
string
required
document_number
string
document_type_id
string

Sending this field on update is rejected, even when the document type is unchanged.

note
string
file
file

file attachment will be required or optional as per store setting.

status
enum<string>
Available options:
submitted,
approved,
rejected

Response

200 - application/json

OK

message
string
success
boolean
content
object